CocoaTweet::API::Favorites::Favorite Class Reference

`#include <favorite.h>`

Inheritance diagram for CocoaTweet::API::Favorites::Favorite:
[legend]
Collaboration diagram for CocoaTweet::API::Favorites::Favorite:
[legend]

## Public Member Functions

| Favorite ()=default
| Favorite (std::shared_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)
CocoaTweet::API::Model::Tweet | create (const std::string &_id) const
CocoaTweet::API::Model::Tweet | destroy (const std::string &_id) const

## Additional Inherited Members

Protected Attributes inherited from CocoaTweet::API::groupInterface
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_

## Constructor & Destructor Documentation

## Favorite() [1/2]

CocoaTweet::API::Favorites::Favorite::Favorite | ( |  | ) |

default

## Favorite() [2/2]

CocoaTweet::API::Favorites::Favorite::Favorite | ( | std::shared_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

## Member Function Documentation

## create()

CocoaTweet::API::Model::Tweet CocoaTweet::API::Favorites::Favorite::create | ( | const std::string & | _id | ) | const

## destroy()

CocoaTweet::API::Model::Tweet CocoaTweet::API::Favorites::Favorite::destroy | ( | const std::string & | _id | ) | const

The documentation for this class was generated from the following files:

- src/cocoatweet/api/favorite/favorite.h
- src/cocoatweet/api/favorite/favorite.cc